//    Copyright (C) 2022-2023 mirk0dex <mirkodi.eu>
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

// dirExists lib: determine whether specified directory exists or not

#ifndef   DIREXISTS_H_
#define   DIREXISTS_H_

#include    <dirent.h>

int dirExists(char * dirname) {
    DIR * dir = opendir(dirname);
    if (dir) {
        return 1; // dir exists
    } else {
        return 0;
    }
}

#endif  // DIREXISTS_H_
