# vars
CC     = gcc
LINK   = ld
CFLAGS =
RM     = rm -f
MV     = mv
SRCNME = ccvt
SRC    = $(SRCNME).c
SRCGUI = $(SRCNME)-gui.c
BIN    = ccvt
BINGUI = $(BIN)-gui

# paths
SUBDIR = bin

default: all

all: ccvt ccvt-gui

ccvt: $(SRC)
	@mkdir -p $(SUBDIR)
	$(CC) $(SRC)    $(CFLAGS) -o $(SUBDIR)/$(BIN)

ccvt-gui: $(SRCGUI)
	@mkdir -p $(SUBDIR)
	$(CC) $(SRCGUI) $(CFLAGS) -o $(SUBDIR)/$(BINGUI) -lX11 -lm # compile

clean veryclean: all
	rm -f $(SUBDIR)/$(BIN) $(SUBDIR)/$(BINGUI)
