#!/usr/bin/env sh

# eRates updater: updates eRates.txt with the latest exchange rates
# Deps: curl, jq, sed, ccvt

### SETTINGS ###

   DIR="$HOME/.local/share/ccvt" # if you change these, please also change
ERATES="$DIR/eRates.txt"         # options.h

################

! [ -d "$DIR" ] && mkdir -p "$DIR"

# Base is EUR (1)
echo "EUR 1" > "$ERATES"

curl -s -XGET https://open.er-api.com/v6/latest/EUR | # detch atest exchange rates
    jq  '.rates'                                    |
    sed 's|{||ig'  | sed 's|}||ig' | sed 's|"||ig'  |
    sed 's|:||'    | sed 's|,||'   | sed '/^\s*$/d' |
    sed 's|\ \ ||' >> "$ERATES"
