//    Copyright (C) 2022-2023 mirk0dex <mirkodi.eu>
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

// ccvt: cURRENCY cONvERtER

#include    <stdio.h>
#include   <stdlib.h>
#include "lib/ccvt.h"

int    main   (int argc, char ** argv) {
	// vars
	struct currency * currencies = getValues (           );
	       int        currNum    = countLines(getERates());

	if (argc != 4)
		help(argv[0], 1, currencies, currNum);
	else {
		printf("%Lf\n", convert(atof(argv[1]) /* value             */,
					                 argv[2]  /* starting currency */,
					                 argv[3]  /* target currency   */,
								     argv[0]  /* used command      */,
								     currencies                      ,
								     currNum                         ,
								     0        /* means no GUI      */));
	}
}
