//    Copyright (C) 2022-2023 mirk0dex <mirkodi.eu>
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

// countls lib: count lines in a file

#ifndef   COUNTLS_H_
#define   COUNTLS_H_

#include   <stdio.h>
#include  <stdlib.h>

long int countLines(char * filename) {
  long int lines = 0;
  FILE * fp;
  fp=fopen(filename, "r");

  if (fp == NULL) {
    perror("fopen "); exit(1);
  }

  while (EOF != (fscanf(fp, "%*[^\n]"), fscanf(fp,"%*c")))
    ++lines;

  return lines;
}

#endif // COUNTLS_H_
