#ifndef LANGS_H_
#define LANGS_H_

// label text
struct label {
    char * invert  ;
    char * search  ;
    char * select  ;
    char * value   ;
    char * update  ;
    char * initial ;
    char * target  ;
    char * language;
    char * map     ;
};

struct label   labels   [3]                                       ;
enum                          { ENGLISH,   ITALIAN,    ESPERANTO };
const  char  * languages[ ] = {"English", "Italiano", "Esperanto"};

void initLabels() {
    // english
    labels[ENGLISH  ].invert     = "Invert"           ;
    labels[ENGLISH  ].search     = "Search"           ;
    labels[ENGLISH  ].select     = "Select"           ;
    labels[ENGLISH  ].value      = "Value"            ;
    labels[ENGLISH  ].update     = "Update exch. r.s" ;
    labels[ENGLISH  ].initial    = "Initial currency" ;
    labels[ENGLISH  ].target     = "Target currency"  ;
    labels[ENGLISH  ].language   = "Language"         ;
    labels[ENGLISH  ].map        = "Map"              ;

    // italian
    labels[ITALIAN  ].invert     = "Inverti"          ;
    labels[ITALIAN  ].search     = "Cerca"            ;
    labels[ITALIAN  ].select     = "Seleziona"        ;
    labels[ITALIAN  ].value      = "Valore"           ;
    labels[ITALIAN  ].update     = "Aggiorna val. sc.";
    labels[ITALIAN  ].initial    = "Valuta iniziale"  ;
    labels[ITALIAN  ].target     = "Valuta finale"    ;
    labels[ITALIAN  ].language   = "Lingua"           ;
    labels[ITALIAN  ].map        = "Mappa"            ;

    // esperanto
    labels[ESPERANTO].invert   = "Inversigi"          ;
    labels[ESPERANTO].search   = "Elserchi"           ;
    labels[ESPERANTO].select   = "Selekti"            ;
    labels[ESPERANTO].value    = "Valoro"             ;
    labels[ESPERANTO].update   = "Ghisdatigi kurzojn" ;
    labels[ESPERANTO].initial  = "Komenca valuto"     ;
    labels[ESPERANTO].target   = "Cela valuto"        ;
    labels[ESPERANTO].language = "Lingvo"             ;
    labels[ESPERANTO].map      = "Mapo"               ;
}

#endif // LANGS_H_
